Skip to main content
Verify bank accounts and run Anti-Money Laundering (AML) checks.

Bank Account Verification

Verify a bank account number and retrieve account holder details.
POST /api/v1/business/verification/bank-account
Signature required: Yes

Request body

FieldTypeRequiredDescription
accountNumberstringYesBank account number
bankCodestringYesBank code (from Get Bank List)
idempotencyKeystringNoUnique key to prevent duplicate charges

Request example

curl -X POST "https://api-dev.usenumero.com/numeroaccount/api/v1/business/verification/bank-account" \
  -H "Content-Type: application/json" \
  -H "x-api-key: your_api_key" \
  -H "x-signature-key: generated_signature" \
  -d '{
    "accountNumber": "0123456789",
    "bankCode": "000013"
  }'

AML Check

Run an Anti-Money Laundering screening against global watchlists.
POST /api/v1/business/verification/aml
Signature required: Yes

Request body

FieldTypeRequiredDescription
fullNamestringNoFull name (alternative to firstName + lastName)
firstNamestringNoFirst name
lastNamestringNoLast name
dateOfBirthstringNoDate of birth (YYYY-MM-DD)
yearOfBirthintegerNo4-digit year of birth
countriesstringYesISO2 country codes, comma-separated (e.g., "NG" or "NG,KE")
phoneNumberstringNoPhone number
addressstringNoAddress
bvnstringNoBVN
ninstringNoNIN
additionalParamsobjectNoAdditional key-value parameters
idempotencyKeystringNoUnique key to prevent duplicate charges
Provide at least a name (fullName or firstName + lastName) and countries for the check to work.

Request example

curl -X POST "https://api-dev.usenumero.com/numeroaccount/api/v1/business/verification/aml" \
  -H "Content-Type: application/json" \
  -H "x-api-key: your_api_key" \
  -H "x-signature-key: generated_signature" \
  -d '{
    "firstName": "John",
    "lastName": "Doe",
    "dateOfBirth": "1990-05-15",
    "countries": "NG"
  }'